"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdNumberFind = void 0;
/* The statement `import { idNumbersByCity } from '../../constants/idNumber';` is importing the
`idNumbersByCity` variable from the `idNumber` module in the `constants` directory. This variable is
likely an array or object that contains information about ID numbers and their associated cities. */
const idNumber_1 = require("../../constants/idNumber");
/* The statement `import { Fa_To_En } from '../../parser/number/FaToEn';` is importing the `Fa_To_En`
function from the `FaToEn` module in the `parser/number` directory. This function is used to convert
Persian (Farsi) numbers to English numbers. */
const FaToEn_1 = require("../../parser/number/FaToEn");
/**
 * Finds the province and city associated with the given ID number.
 * @param {string} id - The ID number to search for.
 * @returns {idNumberFindType | undefined | boolean} - An object containing the province and city if found, false if not found, or undefined if the input is invalid.
 */
const IdNumberFind = (id) => {
    id = (0, FaToEn_1.Fa_To_En)(id.slice(0, 3));
    const findCity = idNumber_1.idNumbersByCity.find((item) => item.from === id || item.to === id);
    if (findCity) {
        return { province: findCity.province, city: findCity.city };
    }
    return false;
};
exports.IdNumberFind = IdNumberFind;
