"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MAC = void 0;
/* The line `import { MacApi } from '../../webService/api/mac/Mac';` is importing the `MacApi` class
from the file located at `../../webService/api/mac/Mac`. This allows the `Mac` class to use the
methods and functionality provided by the `MacApi` class. */
const Mac_1 = require("../../webService/api/mac/Mac");
/**
 * A class representing a MAC address and providing methods to retrieve information about it.
 */
class MAC {
    /**
     * Creates a new instance of the class, with an optional Mac address.
     * @param {string} [mac] - The Mac address to use for the instance.
     * @returns An instance of the class.
     */
    constructor(mac) {
        this.mac = mac;
        /**
         * Retrieves information about a given MAC address using an external API.
         * @param {string} mac - The MAC address to retrieve information for.
         * @returns {Promise<MacType>} - A promise that resolves to an object containing information about the MAC address.
         */
        this.getMacInfo = (mac) => __awaiter(this, void 0, void 0, function* () {
            const apiCall = (yield this.MacInstance).get(`${mac || this.mac}`);
            const res = (yield apiCall).data;
            return res;
        });
        this.MacInstance = new Mac_1.MacApi().MacCreate();
    }
}
exports.MAC = MAC;
