"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
/* The line `import { describe, expect, test } from '@jest/globals';` is importing the `describe`,
`expect`, and `test` functions from the `@jest/globals` module. These functions are part of the Jest
testing framework and are used to define and run test cases. */
const globals_1 = require("@jest/globals");
/* The line `import { IP } from '../ip/ip';` is importing the `IP` class from the `../ip/ip` module.
This allows the code to use the methods and properties defined in the `IP` class. */
const ip_1 = require("../ip/ip");
/**
 * A test suite for the IP class, which provides methods for retrieving information about IP addresses.
 */
(0, globals_1.describe)('IP Information', () => {
    /**
     * Test function to check IP information using the IP class.
     * @returns None
     * @throws Error if the IP information does not match the expected values.
     */
    (0, globals_1.test)('Check IP Information', () => __awaiter(void 0, void 0, void 0, function* () {
        const api = yield new ip_1.IP();
        const res = yield api.getIpInfo('137.184.82.151');
        (0, globals_1.expect)(res).toMatchObject({
            status: 'success',
            country: 'United States',
            countryCode: 'US',
            region: 'CA',
            regionName: 'California',
            city: 'Santa Clara',
            zip: '95054',
            lat: 37.3931,
            lon: -121.962,
            timezone: 'America/Los_Angeles',
            isp: 'DigitalOcean, LLC',
            org: 'DigitalOcean, LLC',
            as: 'AS14061 DigitalOcean, LLC',
            query: '137.184.82.151',
        });
    }));
    /**
     * Tests whether the given IP address is from Iran.
     * @returns None
     */
    (0, globals_1.test)('Is IP from Iran', () => __awaiter(void 0, void 0, void 0, function* () {
        const api = yield new ip_1.IP();
        const res = yield api.IsIpFromIran('103.130.144.0');
        (0, globals_1.expect)(res).toBeTruthy();
    }));
});
