"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* The line `import { describe, expect, test } from '@jest/globals';` is importing the `describe`,
`expect`, and `test` functions from the `@jest/globals` module. These functions are part of the Jest
testing framework and are used to define and run test cases. */
const globals_1 = require("@jest/globals");
/* The line `import { PostalCodeFind } from '../postalCode/findPostalCode';` is importing the
`PostalCodeFind` function from the `findPostalCode` module located in the `postalCode` directory.
This allows the `PostalCodeFind` function to be used in the current module for testing purposes. */
const findPostalCode_1 = require("../postalCode/findPostalCode");
/**
 * Tests the PostalCodeFind function to ensure that it returns the correct province and city
 * for a given postal code.
 * @returns None
 */
(0, globals_1.describe)('Card', () => {
    /**
     * Tests the PostalCodeFind function to ensure that it returns the correct province and city
     * for a given postal code.
     * @returns None
     */
    (0, globals_1.test)('Card is Valid', () => {
        /**
         * Tests the PostalCodeFind function to ensure that it correctly returns the expected province and city
         * for the given postal code.
         * @param {string} postalCode - The postal code to test.
         * @returns None
         */
        (0, globals_1.expect)((0, findPostalCode_1.PostalCodeFind)('۵۹۴۳۲')).toMatchObject({
            province: 'آذربایجان غربی',
            city: 'بوکان',
        });
        /**
         * Tests the PostalCodeFind function to ensure that it returns the expected province and city
         * for the given postal code.
         * @param {string} postalCode - The postal code to test.
         * @returns None
         */
        (0, globals_1.expect)((0, findPostalCode_1.PostalCodeFind)('63511')).toMatchObject({
            province: 'خوزستان',
            city: 'ماهشهر',
        });
    });
});
